• 0

    posted a message on Mowzie's Mobs: Powerful overworld enemies and more! - Version 1.5.8: Down below and up above!

    Hi :D! I really love this mod and have for awhile ever since I've watched Crazy Craft videos and more. I was wondering if you would ever make it compatible for 1.15.2 or any newer versions. I noticed a lot of mods have been moving to 1.15.2 and I always play on 1.12.2, but sometimes playing different versions is fun :D. I wont bug you with this topic since you probably have bunch of people asking you to, but I really love this mod. If you guys have a patreon I would love to support the developers! <3

    Posted in: Minecraft Mods
  • To post a comment, please or register a new account.